#ifndef MAIN_H
#define MAIN_H

#include <mega16.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <delay.h>



#define   LED   PORTB.0
#define   KEY   PIND.7


#define   SI_SND    PORTA.0
#define   SI_NIRQ   PIND.2
#define   SI_NSEL   PORTA.1
#define   SI_NSCK   PORTA.2
#define   SI_SDO    PORTA.3
#define   SI_SDI    PINA.4


unsigned char RevUartBuf[128];
unsigned long revCnt=0;        
unsigned char SiRevIntFlag=0;
unsigned char SiSendFlag=0;


void Io_Init(void);
void Uart_Init(void);
void Ext_Inter_Init(void);
void UartSendByte(unsigned char ch);
void UartSendStr(unsigned char *str);
void UartSendBuf(unsigned char *buf,unsigned long bufLength);
void Key_Scan(void);
void Si4432_Write_Register(unsigned char regAddr,unsigned char regVol);
unsigned char Si4432_Read_Register(unsigned char regAddr);
void Si4432_Send_Data(unsigned char *buf,unsigned char len);
void Si4432_Init(void);
unsigned char Si4432_Rev_Data(unsigned char *revBuf);
unsigned char Si4432_Get_Data(unsigned char *revBuf);

#endif


